# PORRAN

PORous structure RANdom generation. Can be used for substituting atoms in porous crystals like zeolites, or doping Metal-Organic Frameworks. Algorithms used for substitutions are based on the [ZEORAN program](https://github.com/promerma/zeoran) \[1\].

## Installation

### Install with pip

The simplest way to install PORRAN is through pip, which automatically gets the source code from PyPI:
```
pip install porran
```

### Install from source
It is also possible to install PORRAN directly from the source. This can be done using the commands bellow:
```
git clone https://github.com/marko-petkovic/porran.git
cd porran
pip install .
```

## Getting started
More examples will follow in the future

### Examples
- An example on using PORRAN to generate zeolite structures (MOR) with Al substitutions can be found [here](examples/porran_example.ipynb).
- Using PORRAN to generate MOFs functionalized with lithium-alkoxide: [mofs_example](examples/mofs_example.ipynb).

## References
\[1\] Romero-Marimon, P., Gutiérrez-Sevillano, J. J., & Calero, S. (2023). Adsorption of Carbon Dioxide in Non-Löwenstein Zeolites. *Chemistry of Materials*, 35(13), 5222-5231.
